Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.GGG
Class GGG_BAL

    java.lang.Object
      warbot.GGG.GGG_BAL

    public class GGG_BAL

extends java.lang.Object

Constructor Summary
`GGG_BAL()`

Method Summary
`void` | `annoncer(AgentAddress destinataire, int msgId, double arg1, double arg2)`
`void` | `annoncer(int role, int groupe, int msgId, double arg1, double arg2)`
`boolean` | `localiserSender(GGG_Target t)`
`void` | `ordonner(AgentAddress destinataire, int msgId, double arg1, double arg2)`
`void` | `ordonner(int role, int groupe, int msgId, double arg1, double arg2)`
`void` | `recevoirMessage(Brain wb)`
`void` | `requerir(AgentAddress destinataire, int msgId, double arg1, double arg2)`
`void` | `requerir(int role, int groupe, int msgId, double arg1, double arg2)`
`void` | `sendAll(Brain wb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GGG_BAL

    public GGG_BAL()

Method Detail

### recevoirMessage

    public void recevoirMessage(Brain wb)

### annoncer

    public void annoncer(AgentAddress destinataire,
                         int msgId,
                         double arg1,
                         double arg2)

### annoncer

    public void annoncer(int role,
                         int groupe,
                         int msgId,
                         double arg1,
                         double arg2)

### requerir

    public void requerir(AgentAddress destinataire,
                         int msgId,
                         double arg1,
                         double arg2)

### requerir

    public void requerir(int role,
                         int groupe,
                         int msgId,
                         double arg1,
                         double arg2)

### ordonner

    public void ordonner(AgentAddress destinataire,
                         int msgId,
                         double arg1,
                         double arg2)

### ordonner

    public void ordonner(int role,
                         int groupe,
                         int msgId,
                         double arg1,
                         double arg2)

### localiserSender

    public boolean localiserSender(GGG_Target t)

### sendAll

    public void sendAll(Brain wb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.